Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.admin.xmleditor
Interface ElementContentModel

public interface ElementContentModel

ElementContentModel

Method Summary
`java.lang.String[]` | `getAttributes(java.lang.String element)` getAttributes returns all possible attribute names from the content model for the specified element.
`java.lang.String[]` | `getAttributeValues(java.lang.String element, java.lang.String attribute)` getAttributeValues returns all possible enumerated values for an attribute from the content model for the specified element.
`java.lang.String[]` | `getChildren(java.lang.String element)` getChildren returns all elements from the content model that might serve as children to the specified element.
`java.lang.String[]` | `getElements()` getElements returns all elements from the content model.
`java.lang.String[]` | `getRequiredAttributes(java.lang.String element)` getRequiredAttributes returns all possible required attributes from the content model for the specified element.
`java.lang.String[]` | `getRequiredChildren(java.lang.String element)` getRequiredChildren returns all elements from the content model that might be required children of the specified element.
`java.lang.String[]` | `getRoot()` getRoot returns all elements from the content model that might serve as the root of the Document.
`java.lang.String` | `getSchemaDoc(java.lang.String element)` getSchemaDoc returns a SchemaDoc string for the specified element based on the content model.
`java.lang.String` | `getSchemaDoc(java.lang.String element, java.lang.String attribute)` getSchemaDoc returns a SchemaDoc string for the specified attribute based on the content model.
`boolean` | `isAttributeValid(java.lang.String element, java.lang.String attribute, java.lang.String value)` isAttributeValid returns whether or not the specified attribute value is valid based on the content model.

Method Detail

### getElements

    public java.lang.String[] getElements()

  getElements returns all elements from the content model.

  Returns:
    A list of element names

### getRoot

    public java.lang.String[] getRoot()

  getRoot returns all elements from the content model that might serve as the root of the Document.

  Returns:
    A list of element names

### getChildren

    public java.lang.String[] getChildren(java.lang.String element)

  getChildren returns all elements from the content model that might serve as children to the specified element.

  Parameters:
    `element` - The element name to check
  Returns:
    A list of element names

### getRequiredChildren

    public java.lang.String[] getRequiredChildren(java.lang.String element)

  getRequiredChildren returns all elements from the content model that might be required children of the specified element.

  Parameters:
    `element` - The element name to check
  Returns:
    A list of element names

### getAttributes

    public java.lang.String[] getAttributes(java.lang.String element)

  getAttributes returns all possible attribute names from the content model for the specified element.

  Parameters:
    `element` - The element name to check
  Returns:
    A list of attribute names

### getRequiredAttributes

    public java.lang.String[] getRequiredAttributes(java.lang.String element)

  getRequiredAttributes returns all possible required attributes from the content model for the specified element.

  Parameters:
    `element` - The element name to check
  Returns:
    A list of attribute names

### getAttributeValues

    public java.lang.String[] getAttributeValues(java.lang.String element,
                                                 java.lang.String attribute)

  getAttributeValues returns all possible enumerated values for an attribute from the content model for the specified element.

  Parameters:
    `element` - The element name to check
    `attribute` - The attribute name to check
  Returns:
    A list of possible attribute values

### isAttributeValid

    public boolean isAttributeValid(java.lang.String element,
                                    java.lang.String attribute,
                                    java.lang.String value)

  isAttributeValid returns whether or not the specified attribute value is valid based on the content model.

  Parameters:
    `element` - The element name to check
    `attribute` - The attribute name to check
    `value` - The attribute value to check
  Returns:
    Whether or not the value is valid

### getSchemaDoc

    public java.lang.String getSchemaDoc(java.lang.String element)

  getSchemaDoc returns a SchemaDoc string for the specified element based on the content model.

  Parameters:
    `element` - The element name to check
  Returns:
    The SchemaDoc as HTML

### getSchemaDoc

    public java.lang.String getSchemaDoc(java.lang.String element,
                                         java.lang.String attribute)

  getSchemaDoc returns a SchemaDoc string for the specified attribute based on the content model.

  Parameters:
    `element` - The element name to check
    `attribute` - The attribute name to check
  Returns:
    The SchemaDoc as HTML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group